%define        libname  lib%{name}
%define        tagver %(echo %version | tr . _)

Name:          faac
Version:       1.31.1
Release:       1mamba
Summary:       Freeware Advanced Audio Coder
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.audiocoding.com/
Source:        https://github.com/knik0/faac.git/faac-%{version}/faac-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: hd2u
BuildRequires: autoconf
BuildRequires: libfaad2-devel >= 2.0
%if "%{stage1}" != "1"
BuildRequires: libmp4v2-devel
%endif
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW COMPLEXITY object types and MAIN and LOW MPEG-2 object types.
It also supports multichannel and gapless encoding.

%package -n %{libname}
Summary:       Reference encoder and encoding library for MPEG2/4 AAC
Group:         System/Libraries

%description -n %{libname}
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW COMPLEXITY object types and MAIN and LOW MPEG-2 object types.
It also supports multichannel and gapless encoding.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{libname}
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-devel < 1.31.1

%description -n %{libname}-devel
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW COMPLEXITY object types and MAIN and LOW MPEG-2 object types.
It also supports multichannel and gapless encoding.
This package contains static libraries and header files needed for development.

%prep
%setup -q
./bootstrap

%build
%configure \
   --with-mp4v2

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/faac.1*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libfaac.so.*
%{_libdir}/libfaac_drm.so.*
%doc AUTHORS COPYING

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/libfaac.a
%{_libdir}/libfaac.so
%{_libdir}/libfaac_drm.a
%{_libdir}/libfaac_drm.so
%{_libdir}/pkgconfig/faac.pc
%doc ChangeLog NEWS README TODO

%changelog
* Thu Apr 10 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.31.1-1mamba
- update to 1.31.1

* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.30-2mamba
- rebuilt with debug package

* Sun Dec 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.30-1mamba
- update to 1.30

* Wed Mar 21 2018 Automatic Build System <autodist@mambasoft.it> 1.29.9.2-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Automatic Build System <autodist@mambasoft.it> 1.29.3-1mamba
- automatic version update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic update by autodist

* Mon May 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.25-2mamba
- group entry fixed

* Sun May 13 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.25-1mamba
- update to 1.25
- added faac package
- added missing build requirements

* Sat Oct 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.24-2qilnx
- specfile fixed and modified to match QiLinux standards
- library name modified (was faac)
- added missing BuildRequires (libfaad2-devel)

* Mon Sep 13 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.24-1qilnx
- first build
